# samples/04_video_dec_gie/video_dec_gie_main.cpp File Reference

`#include <errno.h>`
`#include <fstream>`
`#include <iostream>`
`#include <linux/videodev2.h>`
`#include <malloc.h>`
`#include <pthread.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <sys/prctl.h>`
`#include "NvUtils.h"`
`#include "NvCudaProc.h"`
`#include "nvbuf_utils.h"`
`#include "video_dec_gie.h"`
`#include "gie_inference.h"`

Go to the source code of this file.

## Defines

#define | USE_CPU_FOR_INTFLOAT_CONVERSION 0
#define | TEST_ERROR(cond, str, label)
#define | CHUNK_SIZE 4000000
#define | IS_NAL_UNIT_START(buffer_ptr)

## Functions

int | main (int argc, char *argv[])

## Variables

const char * | GOOGLE_NET_DEPLOY_NAME
const char * | GOOGLE_NET_MODEL_NAME

## Define Documentation

#define CHUNK_SIZE 4000000

Definition at line 52 of file video_dec_gie_main.cpp.

#define IS_NAL_UNIT_START | ( | buffer_ptr |  | ) |

Value:

    (!buffer_ptr[0] && !buffer_ptr[1] && \
                 !buffer_ptr[2] && (buffer_ptr[3] == 1))

Definition at line 54 of file video_dec_gie_main.cpp.

#define TEST_ERROR | ( | cond,
|  | str,
|  | label |  | ) |

Value:

    if(cond) { \
                               cerr << str << endl; \
                               error = 1; \
                               goto label; }

Definition at line 47 of file video_dec_gie_main.cpp.

#define USE_CPU_FOR_INTFLOAT_CONVERSION 0

Definition at line 45 of file video_dec_gie_main.cpp.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 748 of file video_dec_gie_main.cpp.

## Variable Documentation

const char* GOOGLE_NET_DEPLOY_NAME

Initial value:

                 "../../data/model/GoogleNet-modified.prototxt"

Definition at line 58 of file video_dec_gie_main.cpp.

const char* GOOGLE_NET_MODEL_NAME

Initial value:

                 "../../data/model/GoogleNet-modified-online_iter_30000.caffemodel"

Definition at line 60 of file video_dec_gie_main.cpp.